Skip to main content
Google Sheets

Create a new worksheet (tab) in a spreadsheet

Optionally assigns the new tab to the transactions, current balances, or balance history sync slot and writes the corresponding header row.

POST
/destinations/google-sheets/connections/{connectionId}/sheets/{sheetId}/tabs
Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

connectionIdintegerrequired

The Google Sheets connection ID

sheetIdintegerrequired

The Google Sheet ID

Body

application/json
purposeenum<string> | null

Optionally assign the new tab to one of the sheet's sync slots: transactions, current balances, or balance history.

Available options: transactions, live_balance, balance_history
titlestringrequired

Title of the new worksheet (tab).

Maximum string length: 255

Response

application/json
bodystring